Bug 817261 - Git compiled gjs is incompatible with system version
Git compiled gjs is incompatible with system version
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 08:01 EDT by Giovanni Campagna
Modified: 2013-08-01 14:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:49:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giovanni Campagna 2012-04-28 08:01:01 EDT
Description of problem:
If you have both a development version of gjs compiled from git, and the normal system version from packages, running the compiled version fails trying to load incompatible libraries from the system one. This is caused by upstream commit http://git.gnome.org/browse/gjs/commit/?id=d9bf2a4a65bafabacc04808e77dd57fc5cd10771. Since that commit was made to solve a downstream bug (although not a fedora one), it would be helpful if that patch could be backported.

Version-Release number of selected component (if applicable):
gjs-1.32.0-1.fc17.x86_64
(vs GJS_1_32_0-3-ge994058 upstream version)

How reproducible:
Always

Steps to Reproduce:
1. Build gjs from git
2. Try to run it and create a Gio.DBusExportedObject
  
Actual results:
(gjs-console:17770): GLib-GObject-WARNING **: cannot register existing type `GjsDBusImplementation'

(gjs-console:17770): GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed

(gjs-console:17770): GLib-GObject-WARNING **: attempt to retrieve private data for invalid type '<invalid>'

(basically, there are two gjs_dbus_implementation_get_type() functions, one folded in the compiled libgjs.so and one in /lib64/libgjs-dbus.so, referenced by /lib64/girepository-1.0/GjsDBus-1.0.typelib)

Expected results:
Object is created successfully.

Additional info:
This prevents running development versions of all dependent packages (including gnome-shell), so it's quite annoying...
Comment 1 Colin Walters 2012-04-30 11:18:33 EDT
Hm...but how is the libgjs-dbus.so getting loaded?
Comment 2 Colin Walters 2012-04-30 11:19:24 EDT
No objections to backporting the patch though; it'd be one less spurious Provides in the RPM database...
Comment 3 Giovanni Campagna 2012-04-30 20:15:57 EDT
It loads GjsDBus from /usr/lib64 instead of gjs's pkglibdir, and I found the reason why... (jhbuild putting that in GI_TYPELIB_PATH)
Comment 4 Colin Walters 2012-05-01 10:30:34 EDT
(In reply to comment #3)
> It loads GjsDBus from /usr/lib64 instead of gjs's pkglibdir, and I found the
> reason why... (jhbuild putting that in GI_TYPELIB_PATH)

That's clearly wrong, jhbuild should be ensuring the jhbuild root overrides the system typelibs.
Comment 5 Colin Walters 2012-05-01 10:31:09 EDT
But I still did a backport to f17:

http://koji.fedoraproject.org/koji/buildinfo?buildID=316288
Comment 6 Fedora End Of Life 2013-07-04 03:05:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 14:49:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.